#region Copyright Syncfusion Inc. 2001-2015.
// Copyright Syncfusion Inc. 2001-2015. All rights reserved.
// Use of this code is subject to the terms of our license.
// A copy of the current license can be obtained at any time by e-mailing
// licensing@syncfusion.com. Any infringement will be prosecuted under
// applicable laws. 
#endregion
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.Collections.ObjectModel;
using Syncfusion.Windows.Shared;

namespace FilterBarDemo
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : ChromelessWindow
    {
        public MainWindow()
        {
            InitializeComponent();
            this.dataGrid.Loaded += dataGrid_Loaded;
        }

        void dataGrid_Loaded(object sender, RoutedEventArgs e)
        {
            this.dataGrid.Dispatcher.BeginInvoke(new Action(()=>
            {
                this.dataGrid.Model.CurrencyManager.CurrentCell.MoveTo(1, 2);                
                this.dataGrid.Model.CurrencyManager.CurrentCell.BeginEdit(true);
            }));
        }        
    }
}
